{% extends '@SonataAdmin/standard_layout.html.twig' %}

{% block content %}
    <div class="row">
        <div class="col-xs-12 col-md-12">
            <div class="box box-info" style="padding: 1em;">
                <p style="font-weight: bold">
                    Welcome to the Student Demonstrator Manager admin panel!
                </p>
                <p>
                    Here is a checklist of all things you need to do in order to successfully allocate student
                    demonstrators.
                </p>
                <ol>
                    <li>Import timetable data (Timetable Data -> Modules -> <a href="{{ path('admin_app_module_import') }}">Import Scraped Timetable</a>)</li>
                    <li>Ask lecturers to fill out module details (<a href="{{ path('lecturer-survey') }}" target="_blank">{{ url('lecturer-survey') }}</a>)</li>
                    <li>Ask students to apply through this system (<a href="{{ path('demonstrator-application') }}" target="_blank">{{ url('demonstrator-application') }}</a>)</li>
                    <li>Review module configurations (User Input -> <a href="{{ path('admin_app_moduleconfiguration_list') }}">Module Configurations</a>)</li>
                    <li>Review demonstrator applications (User Input -> <a href="{{ path('admin_app_demonstratorapplication_list') }}">Demonstrator Applications</a>)</li>
                    <li>Assign students to lab sessions (Timetable Data -> Timetable Entries -> <a href="{{ path('admin_app_timetableentry_manage') }}">Manage</a>)</li>
                    <li>Send lecturers the demonstrator assignments (Timetable Data -> <a href="{{ path('admin_app_timetableentry_list') }}">Timetable Entries</a> -> "Download" button at the bottom right of the page)</li>
                    <li>Notify students who have been accepted and show them their dashboard (<a href="{{ path('demonstrator-dashboard') }}" target="_blank">{{ url('demonstrator-dashboard') }}</a>)</li>
                </ol>
            </div>
        </div>
    </div>
{% endblock %}
